com.avaya.ccs.api.enums

## Enum DestinationType

- java.lang.Object
- - java.lang.Enum<DestinationType>
  - - com.avaya.ccs.api.enums.DestinationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DestinationType>

      public enum DestinationType
      extends java.lang.Enum<DestinationType>

  The `DestinationType` enum defines the possible types of destinations that can be retrieved from the contact center. `DestinationType` is used in the `InteractionI.getConsultDestinations(com.avaya.ccs.api.enums.DestinationType)` or `InteractionI.getCallbackDestinations(com.avaya.ccs.api.enums.DestinationType)` methods to retrieve destinations based on the type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Agent` This destination type refers to agent destinations administered on the Contact Center and the POM server.
    `Campaign` This destination type refers to external resources.
    `External` This destination type refers to external destinations administered on the POM server as entries in the agent address book.
    `Skillset` Skillset destinations administered on the Contact Center
    `Standard` This destination type requests that the POM server select the destination.
    `Supervisor` Supervisor destinations administered on the Contact Center
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DestinationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DestinationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Agent

          public static final DestinationType Agent

      This destination type refers to agent destinations administered on the Contact Center and the POM server.

    - #### Skillset

          public static final DestinationType Skillset

      Skillset destinations administered on the Contact Center

    - #### Supervisor

          public static final DestinationType Supervisor

      Supervisor destinations administered on the Contact Center

    - #### External

          public static final DestinationType External

      This destination type refers to external destinations administered on the POM server as entries in the agent address book.

    - #### Campaign

          public static final DestinationType Campaign

      This destination type refers to external resources.

    - #### Standard

          public static final DestinationType Standard

      This destination type requests that the POM server select the destination.

    - #### Unknown

          public static final DestinationType Unknown

  - ### Method Detail

    - #### values

          public static DestinationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DestinationType c : DestinationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DestinationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null